# module Pod
#   class Command
#     # This is an example of a cocoapods plugin adding a top-level subcommand
#     # to the 'pod' command.
#     #
#     # You can also create subcommands of existing or new commands. Say you
#     # wanted to add a subcommand to `list` to show newly deprecated pods,
#     # (e.g. `pod list deprecated`), there are a few things that would need
#     # to change.
#     #
#     # - move this file to `lib/pod/command/list/deprecated.rb` and update
#     #   the class to exist in the the Pod::Command::List namespace
#     # - change this class to extend from `List` instead of `Command`. This
#     #   tells the plugin system that it is a subcommand of `list`.
#     # - edit `lib/cocoapods_plugins.rb` to require this file
#     #
#     # @todo Create a PR to add your plugin to CocoaPods/cocoapods.org
#     #       in the `plugins.json` file, once your plugin is released.
#     #
#     class Dwd < Command
#       self.summary = 'Short description of cocoapods-cn-dwd.'
#
#       self.description = <<-DESC
#         Longer description of cocoapods-cn-dwd.
#       DESC
#
#       self.arguments = 'NAME'
#
#       def initialize(argv)
#         @name = argv.shift_argument
#         super
#       end
#
#       def validate!
#         super
#         help! 'A Pod name is required.' unless @name
#       end
#
#       def run
#         UI.puts "Add your implementation for the cocoapods-cn-dwd plugin in #{__FILE__}"
#       end
#     end
#   end
# end

puts("dwd-plugin run:")
module Pod
  class Specification
    class << Specification
      alias_method :old_from_file, :from_file

      def from_file(path, subspec_name = nil)
        path = Pathname.new(path)
        unless path.exist?
          raise Informative, "No podspec exists at path `#{path}`."
        end

        string = File.open(path, 'r:utf-8', &:read)
        # Work around for Rubinius incomplete encoding in 1.9 mode
        if string.respond_to?(:encoding) && string.encoding.name != 'UTF-8'
          string.encode!('UTF-8')
        end

        if path.extname == '.json' then
          pod_object = JSON.parse(string)
          if (pod_object['source'] && pod_object['source']['git'])
            pod_object['source']['git'] = process_source_http_url(pod_object['source']['git'], pod_object['version'])
            string = pod_object.to_json
          end
        end

        return from_string(string, path, subspec_name)
      end

      def process_source_http_url(url, version)

        if url != nil then
          if url.include? 'git@mirror' then

            path = url.split(':')[1]
            returnURL = "https://github.com/#{path}"
            puts("git地址转换：")
            puts("          url = #{url}")
            puts("          returnURL = #{returnURL}")

            return returnURL
          end

          if url.include?("git@gitlab.alibaba-inc.com") then
            returnURL = url.split('@')[1].gsub(":", "/")
           if !returnURL.include?('http:') then
             returnURL = 'http://' + returnURL;
           end

           return returnURL
          end
        end

        return url
      end
    end
  end
end